<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>DOM.Element</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>Element Class Reference</h1>
<code>from PyKDE4.khtml import *</code>
<p>
Inherits: <a href="../khtml/DOM.Node.html">DOM.Node</a><br />
Subclasses: <a href="../khtml/DOM.HTMLElement.html">DOM.HTMLElement</a><br />
Namespace: DOM<br />
<h2>Detailed Description</h2>

<p>By far the vast majority of objects (apart from text) that authors
encounter when traversing a document are Element
nodes. Assume the following XML document: &amp;lt;elementExample
id=&amp;quot;demo&amp;quot;&amp;gt; &amp;lt;subelement1/&amp;gt;
&amp;lt;subelement2&amp;gt;&amp;lt;subsubelement/&amp;gt;&amp;lt;/subelement2&amp;gt;
&amp;lt;/elementExample&amp;gt;
</p>
<p>
When represented using DOM, the top node is an Element
node for &amp;quot;elementExample&amp;quot;, which contains two
child Element nodes, one for &amp;quot;subelement1&amp;quot;
and one for &amp;quot;subelement2&amp;quot;. &amp;quot;subelement1&amp;quot;
contains no child nodes.
</p>
<p>
Elements may have attributes associated with them; since the
Element interface inherits from Node
, the generic Node interface method
getAttributes may be used to retrieve the set of all
attributes for an element. There are methods on the Element
interface to retrieve either an Attr object
by name or an attribute value by name. In XML, where an attribute
value may contain entity references, an Attr object
should be retrieved to examine the possibly fairly complex sub-tree
representing the attribute value. On the other hand, in HTML, where
all attributes have simple string values, methods to directly
access an attribute value can safely be used as a convenience.
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj200532172">__init__</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj200532780">__init__</a> (self, <a href="../khtml/DOM.Node.html">DOM.Node</a> other)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj200532748">__init__</a> (self, <a href="../khtml/DOM.Element.html">DOM.Element</a> other)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194446060">__init__</a> (self, ElementImpl _impl)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192037964">childElementCount</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183875692">contentEditable</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Element.html">DOM.Element</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192037260">firstElementChild</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Element.html">DOM.Element</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj164597932">form</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj193594444">getAttribute</a> (self, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> name)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186563180">getAttributeNS</a> (self, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> namespaceURI, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> localName)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Attr.html">DOM.Attr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192755820">getAttributeNode</a> (self, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> name)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Attr.html">DOM.Attr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186399852">getAttributeNodeNS</a> (self, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> namespaceURI, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> localName)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.NodeList.html">DOM.NodeList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186560556">getElementsByClassName</a> (self, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> className)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.NodeList.html">DOM.NodeList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186562828">getElementsByTagName</a> (self, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> name)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.NodeList.html">DOM.NodeList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186562956">getElementsByTagNameNS</a> (self, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> namespaceURI, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> localName)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186399148">hasAttribute</a> (self, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> name)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj178047084">hasAttributeNS</a> (self, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> namespaceURI, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> localName)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183876172">isHTMLElement</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Element.html">DOM.Element</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192039084">lastElementChild</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Element.html">DOM.Element</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183875116">nextElementSibling</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Element.html">DOM.Element</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183877324">previousElementSibling</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192757644">removeAttribute</a> (self, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> name)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186397100">removeAttributeNS</a> (self, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> namespaceURI, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> localName)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Attr.html">DOM.Attr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180177100">removeAttributeNode</a> (self, <a href="../khtml/DOM.Attr.html">DOM.Attr</a> oldAttr)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj193596236">setAttribute</a> (self, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> name, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> value)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj193585932">setAttributeNS</a> (self, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> namespaceURI, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> qualifiedName, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> value)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Attr.html">DOM.Attr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180177292">setAttributeNode</a> (self, <a href="../khtml/DOM.Attr.html">DOM.Attr</a> newAttr)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Attr.html">DOM.Attr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186399276">setAttributeNodeNS</a> (self, <a href="../khtml/DOM.Attr.html">DOM.Attr</a> newAttr)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183873996">setContentEditable</a> (self, bool enabled)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.CSSStyleDeclaration.html">DOM.CSSStyleDeclaration</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192040748">style</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj193597004">tagName</a> (self)</td></tr>
<tr><td colspan="2"><br><h2>Static Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194448556">khtmlMalformedPrefix</a> (<a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> name)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj177199244">khtmlMalformedQualifiedName</a> (<a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> name)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj164597996">khtmlValidAttrName</a> (<a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> name)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj164601484">khtmlValidPrefix</a> (<a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> name)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj164598604">khtmlValidQualifiedName</a> (<a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> name)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj200532172"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj200532780"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td>
<td class="paramname"><em>other</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj200532748"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.Element.html">DOM.Element</a>&nbsp;</td>
<td class="paramname"><em>other</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj194446060"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">ElementImpl&nbsp;</td>
<td class="paramname"><em>_impl</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj192037964"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long childElementCount</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Introduced in DOM level 3
This method is part of the ElementTraversal interface
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> The current number of child nodes of that element which are of nodeType ELEMENT_NODE
</dd></dl>
</p></div></div><a class="anchor" name="obj183875692"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool contentEditable</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>not part of the official DOM
</p>
<p>
This method will always reflect the editability setting of this
element as specified by a direct or indirect (that means, inherited)
assignment to contentEditable or the respective CSS rule, even if
design mode is active.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> whether this element is editable.
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> setContentEditable
</dd></dl>
</p></div></div><a class="anchor" name="obj192037260"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Element.html">DOM.Element</a> firstElementChild</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Introduced in DOM level 3
This method is part of the ElementTraversal interface
</p>
<p>
The first child node which is of nodeType ELEMENT_NODE.
</p></div></div><a class="anchor" name="obj164597932"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Element.html">DOM.Element</a> form</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>KHTML extension to DOM
This method returns the associated form element.
returns null if this element is not a form-like element
or if this elment is not in the scope of a form element.
</p></div></div><a class="anchor" name="obj193594444"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> getAttribute</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>name</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Retrieves an attribute value by name.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>name</em>&nbsp;</td><td> The name of the attribute to retrieve.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> The Attr value as a string, or the empty
string if that attribute does not have a specified or default
value.
</dd></dl>
</p></div></div><a class="anchor" name="obj186563180"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> getAttributeNS</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>namespaceURI</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>localName</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Introduced in DOM Level 2.
</p>
<p>
No Exceptions.
</p>
<p>
Retrieves an attribute value by local name and namespace URI. HTML-only
DOM implementations do not need to implement this method.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>namespaceURI</em>&nbsp;</td><td> The namespace URI of the attribute to retrieve.
</td></tr>

<tr><td></td><td valign="top"><em>localName</em>&nbsp;</td><td> The local name of the attribute to retrieve.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> The Attr value as a string, or the empty string if that
attribute does not have a specified or default value.
</dd></dl>
</p></div></div><a class="anchor" name="obj192755820"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Attr.html">DOM.Attr</a> getAttributeNode</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>name</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Retrieves an Attr node by name.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>name</em>&nbsp;</td><td> The name of the attribute to retrieve.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> The Attr node with the specified
attribute name or null if there is no such
attribute.
</dd></dl>
</p></div></div><a class="anchor" name="obj186399852"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Attr.html">DOM.Attr</a> getAttributeNodeNS</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>namespaceURI</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>localName</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Introduced in DOM Level 2
</p>
<p>
Retrieves an Attr node by local name and namespace URI. HTML-only DOM
implementations do not need to implement this method.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>namespaceURI</em>&nbsp;</td><td> The namespace URI of the attribute to retrieve.
</td></tr>

<tr><td></td><td valign="top"><em>localName</em>&nbsp;</td><td> The local name of the attribute to retrieve.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> The Attr node with the specified attribute local name and
namespace URI or null if there is no such attribute.
</dd></dl>
</p></div></div><a class="anchor" name="obj186560556"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.NodeList.html">DOM.NodeList</a> getElementsByClassName</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>className</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Introduced in HTML 5.
No Exceptions.
</p>
<p>
Returns a NodeList of all the Element 's
with a given class name in the order in which they
would be encountered in a preorder traversal of the
Document tree.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>tagname</em>&nbsp;</td><td> An unordered set of unique space-separated
tokens representing classes.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> A new NodeList object containing all the
matched Element s.
</dd></dl> </p>
<p>
<dl class="since" compact><dt><b>Since:</b></dt><dd> 4.1
</dd></dl>
</p></div></div><a class="anchor" name="obj186562828"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.NodeList.html">DOM.NodeList</a> getElementsByTagName</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>name</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns a NodeList of all descendant elements
with a given tag name, in the order in which they would be
encountered in a preorder traversal of the Element
tree.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>name</em>&nbsp;</td><td> The name of the tag to match on. The special value
"*" matches all tags.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> A list of matching Element nodes.
</dd></dl>
</p></div></div><a class="anchor" name="obj186562956"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.NodeList.html">DOM.NodeList</a> getElementsByTagNameNS</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>namespaceURI</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>localName</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Introduced in DOM Level 2
Returns a NodeList of all the descendant Elements with a given local
name and namespace URI in the order in which they are encountered in a
preorder traversal of this Element tree.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>namespaceURI</em>&nbsp;</td><td> The namespace URI of the elements to match on. The
special value "*" matches all namespaces.
</td></tr>

<tr><td></td><td valign="top"><em>localName</em>&nbsp;</td><td> The local name of the elements to match on. The special
value "*" matches all local names.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> A new NodeList object containing all the matched Elements.
</dd></dl>
</p></div></div><a class="anchor" name="obj186399148"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool hasAttribute</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>name</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns true when an attribute with a given name is specified on this
element or has a default value, false otherwise.
Introduced in DOM Level 2.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>name</em>&nbsp;</td><td> The name of the attribute to look for.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if an attribute with the given name is specified on this
element or has a default value, false otherwise.
</dd></dl>
</p></div></div><a class="anchor" name="obj178047084"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool hasAttributeNS</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>namespaceURI</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>localName</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Introduced in DOM Level 2
</p>
<p>
Returns true when an attribute with a given local name and namespace URI
is specified on this element or has a default value, false otherwise.
HTML-only DOM implementations do not need to implement this method.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>namespaceURI</em>&nbsp;</td><td> The namespace URI of the attribute to look for.
</td></tr>

<tr><td></td><td valign="top"><em>localName</em>&nbsp;</td><td> The local name of the attribute to look for.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if an attribute with the given local name and namespace URI
is specified or has a default value on this element, false otherwise.
</dd></dl>
</p></div></div><a class="anchor" name="obj183876172"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isHTMLElement</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd>
not part of the DOM
</dd></dl>
</p></div></div><a class="anchor" name="obj194448556"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool khtmlMalformedPrefix</td>
<td>(</td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>name</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj177199244"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool khtmlMalformedQualifiedName</td>
<td>(</td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>name</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj164597996"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool khtmlValidAttrName</td>
<td>(</td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>name</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj164601484"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool khtmlValidPrefix</td>
<td>(</td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>name</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj164598604"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool khtmlValidQualifiedName</td>
<td>(</td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>name</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj192039084"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Element.html">DOM.Element</a> lastElementChild</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Introduced in DOM level 3
This method is part of the ElementTraversal interface
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> The last child node of that element which is of nodeType ELEMENT_NODE.
</dd></dl>
</p></div></div><a class="anchor" name="obj183875116"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Element.html">DOM.Element</a> nextElementSibling</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Introduced in DOM level 3
This method is part of the ElementTraversal interface
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> The sibling node of that element which most immediately follows that element in document order,
and which is of nodeType ELEMENT_NODE
</dd></dl>
</p></div></div><a class="anchor" name="obj183877324"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Element.html">DOM.Element</a> previousElementSibling</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Introduced in DOM level 3
This method is part of the ElementTraversal interface
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> The sibling node of that element which most immediately precedes that element in document order,
and which is of nodeType ELEMENT_NODE
</dd></dl>
</p></div></div><a class="anchor" name="obj192757644"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> removeAttribute</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>name</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Removes an attribute by name. If the removed attribute has a
default value it is immediately replaced.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>name</em>&nbsp;</td><td> The name of the attribute to remove.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd>
</dd></dl> </p>
<p>
DOMException
NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.
</p></div></div><a class="anchor" name="obj186397100"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> removeAttributeNS</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>namespaceURI</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>localName</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Introduced in DOM Level 2
</p>
<p>
Removes an attribute by local name and namespace URI. If the removed
attribute has a default value it is immediately replaced. The replacing
attribute has the same namespace URI and local name, as well as the
original prefix.
</p>
<p>
HTML-only DOM implementations do not need to implement this method.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>namespaceURI</em>&nbsp;</td><td> The namespace URI of the attribute to remove.
</td></tr>

<tr><td></td><td valign="top"><em>localName</em>&nbsp;</td><td> The local name of the attribute to remove.
</td></tr>
</table></dl>
<p> DOMException
NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.
</p></div></div><a class="anchor" name="obj180177100"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Attr.html">DOM.Attr</a> removeAttributeNode</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.Attr.html">DOM.Attr</a>&nbsp;</td>
<td class="paramname"><em>oldAttr</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Removes the specified attribute.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>oldAttr</em>&nbsp;</td><td> The Attr node to remove from the
attribute list. If the removed Attr has a
default value it is immediately replaced.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> The Attr node that was removed.
</dd></dl> </p>
<p>
DOMException
NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.
</p>
<p>
NOT_FOUND_ERR: Raised if oldAttr is not an
attribute of the element.
</p></div></div><a class="anchor" name="obj193596236"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setAttribute</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>name</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>value</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Adds a new attribute. If an attribute with that name is already
present in the element, its value is changed to be that of the
value parameter. This value is a simple string, it is not
parsed as it is being set. So any markup (such as syntax to be
recognized as an entity reference) is treated as literal text,
and needs to be appropriately escaped by the implementation
when it is written out. In order to assign an attribute value
that contains entity references, the user must create an
Attr node plus any Text and
EntityReference nodes, build the appropriate subtree,
and use setAttributeNode to assign it as the
value of an attribute.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>name</em>&nbsp;</td><td> The name of the attribute to create or alter.
</td></tr>

<tr><td></td><td valign="top"><em>value</em>&nbsp;</td><td> Value to set in string form.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd>
</dd></dl> </p>
<p>
DOMException
INVALID_CHARACTER_ERR: Raised if the specified name contains an
invalid character.
</p>
<p>
NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.
</p></div></div><a class="anchor" name="obj193585932"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setAttributeNS</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>namespaceURI</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>qualifiedName</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>value</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Introduced in DOM Level 2
</p>
<p>
Adds a new attribute. If an attribute with the same local name and
namespace URI is already present on the element, its prefix is changed
to be the prefix part of the qualifiedName, and its value is changed to
be the value parameter. This value is a simple string; it is not parsed
as it is being set. So any markup (such as syntax to be recognized as an
entity reference) is treated as literal text, and needs to be
appropriately escaped by the implementation when it is written out. In
order to assign an attribute value that contains entity references, the
user must create an Attr node plus any Text and EntityReference nodes,
build the appropriate subtree, and use setAttributeNodeNS or
setAttributeNode to assign it as the value of an attribute.
</p>
<p>
HTML-only DOM implementations do not need to implement this method.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>namespaceURI</em>&nbsp;</td><td> The namespace URI of the attribute to create or
alter.
</td></tr>

<tr><td></td><td valign="top"><em>qualifiedName</em>&nbsp;</td><td> The qualified name of the attribute to create or
alter.
</td></tr>

<tr><td></td><td valign="top"><em>value</em>&nbsp;</td><td> The value to set in string form.
</td></tr>
</table></dl>
<p> DOMException
INVALID_CHARACTER_ERR: Raised if the specified qualified name contains
an illegal character.
</p>
<p>
NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.
</p>
<p>
NAMESPACE_ERR: Raised if the qualifiedName is malformed, if the
qualifiedName has a prefix and the namespaceURI is null, if the
qualifiedName has a prefix that is "xml" and the namespaceURI is
different from "http://www.w3.org/XML/1998/namespace", or if the
qualifiedName is "xmlns" and the namespaceURI is different from
"http://www.w3.org/2000/xmlns/".
</p></div></div><a class="anchor" name="obj180177292"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Attr.html">DOM.Attr</a> setAttributeNode</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.Attr.html">DOM.Attr</a>&nbsp;</td>
<td class="paramname"><em>newAttr</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Adds a new attribute. If an attribute with that name is already
present in the element, it is replaced by the new one.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>newAttr</em>&nbsp;</td><td> The Attr node to add to the
attribute list.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> If the newAttr attribute replaces an
existing attribute with the same name, the previously existing
</dd></dl> Attr node is returned, otherwise null
is returned.
</p>
<p>
DOMException
WRONG_DOCUMENT_ERR: Raised if newAttr was
created from a different document than the one that created the
element.
</p>
<p>
NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.
</p>
<p>
INUSE_ATTRIBUTE_ERR: Raised if newAttr is
already an attribute of another Element object.
The DOM user must explicitly clone Attr nodes to
re-use them in other elements.
</p></div></div><a class="anchor" name="obj186399276"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Attr.html">DOM.Attr</a> setAttributeNodeNS</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.Attr.html">DOM.Attr</a>&nbsp;</td>
<td class="paramname"><em>newAttr</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Introduced in DOM Level 2
</p>
<p>
Adds a new attribute. If an attribute with that local name and that
namespace URI is already present in the element, it is replaced by the
new one.
</p>
<p>
HTML-only DOM implementations do not need to implement this method.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>newAttr</em>&nbsp;</td><td> The Attr node to add to the attribute list.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> If the newAttr attribute replaces an existing attribute with the
same local name and namespace URI, the replaced Attr node is returned,
otherwise null is returned.
</dd></dl> </p>
<p>
DOMException
WRONG_DOCUMENT_ERR: Raised if newAttr was created from a different
document than the one that created the element.
</p>
<p>
NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.
</p>
<p>
INUSE_ATTRIBUTE_ERR: Raised if newAttr is already an attribute of
another Element object. The DOM user must explicitly clone Attr nodes to
re-use them in other elements.
</p></div></div><a class="anchor" name="obj183873996"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setContentEditable</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>enabled</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>not part of the official DOM
</p>
<p>
This element can be made editable by setting its contentEditable
property to <b>true.</b> The setting will be inherited to its children
as well.
</p>
<p>
Setting or clearing contentEditable when design mode is active will
take no effect. However, its status will still be propagated to all
child elements.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>enabled</em>&nbsp;</td><td> <b>true</b> to make this element editable, <b>false</b>
otherwise.
</td></tr> </table></dl>
<p> <dl class="see" compact><dt><b>See also:</b></dt><dd> DOM.Document.designMode
</dd></dl>
</p></div></div><a class="anchor" name="obj192040748"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.CSSStyleDeclaration.html">DOM.CSSStyleDeclaration</a> style</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Introduced in DOM Level 2
This method is from the CSSStyleDeclaration interface
</p>
<p>
The style attribute
</p></div></div><a class="anchor" name="obj193597004"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> tagName</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The name of the element. For example, in: &amp;lt;elementExample
id=&amp;quot;demo&amp;quot;&amp;gt; ... &amp;lt;/elementExample&amp;gt; ,
tagName has the value &amp;quot;elementExample&amp;quot;
. Note that this is case-preserving in XML, as are all
of the operations of the DOM. The HTML DOM returns the
tagName of an HTML element in the canonical uppercase
form, regardless of the case in the source HTML document.
</p></div></div>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
